#imports
from w1thermsensor import W1ThermSensor, Unit
from gpiozero import RGBLED
from time import sleep

#setup or assginment
sensor = W1ThermSensor()
led = RGBLED(16, 21, 20)#16Red, 20Blue, 21Green


def lights_off():
    led.color=(0,0,0)
    

#code
try:
    while True:
        temp = sensor.get_temperature()
        #temp = 20
        lights_off()
        #15 degrees and below - Blue
        #25 degrees and below – Yellow (Can substitute with green or white)
        #Any other temperature over 25 degrees red.

        if (temp <= 15):
            led.color=(0,0,1)
            print("blue")
        if (temp > 15) and (temp<= 25):
            led.color=(0,1,0)
            print("Yellow, or White")
        if (temp >25):
            led.color=(1,0,0)
            print("Red")
        print (temp)
        sleep(1)
        


       
except KeyboardInterrupt:
    lights_off()
    print("Program exit")

#temperature_in_celsius = sensor.get_temperature()
#temperature_in_fahrenheit = sensor.get_temperature(Unit.DEGREES_F)
#temperature_in_all_units = sensor.get_temperatures([
#    Unit.DEGREES_C,
#    Unit.DEGREES_F,
#    Unit.KELVIN])
#print (temperature_in_celsius)