#Emulation of a program
# in this program a sensor pick up the car moving closer to the wall.
# As the car comes closer to the wall a green light is energised to indicate the car has some distance to move
# A white light indicated that the car needs to go slower as the targeted distance is getting closer
# The white light comes on when the distance is around 50% of the final distance
# A red light, and buzzer is activated when the required distance is reached
#The distance need to be supplied by using an initial random number that is between 2 and 1 metres
#away from the sensor.
#As indicated this is an emulation, therefore capturing of data through sensors is emulated.
#imports
import random

#setup of sensors and output
#0 for off and 1 for on
redLED = 0;#off
whiteLED = 0;#off
greenLED = 0;#off
distanceSensor = 0;#no distance

def sensors_off():
    redLED = 0;#off
    whiteLED = 0;#off
    greenLED = 0;#off
    distanceSensor = 0;#no distance
try:
    distance_from_sensor = random.uniform(1,2)*100 #this is in cm
    final_distance = 15#The final distance that the sensor must be from the car for the red light to be energised
    print (distance_from_sensor)
    while True:
        greenLED = 1;
        while distance_from_sensor >= final_distance*2:
            distance_from_sensor = distance_from_sensor - 1.2
            print(distance_from_sensor)
            print("Green LED")
        print("Green finished.")
        greenLED = 0;
        whiteLED = 1;
        while distance_from_sensor > final_distance:# if distance_from_sensor > final_distance:
            distance_from_sensor = distance_from_sensor - 0.7
            print(distance_from_sensor)
            print("White LED")
        print("White finished")
        whiteLED = 0
        redLED = 1;
        print("Stop")
        
except KeyboardInterrupt:
    print("Program Exit")
    sensors_off()
    
    


